erl_expand_records(3)

NAME
erl_expand_records - This module expands records in a module.

DESCRIPTION

  See Also

Section The Abstract Format in ERTS User's Guide.

FUNCTIONS

module(AbsForms, CompileOptions) -> AbsForms2 when AbsForms :: [erl_parse:abstract_form()], AbsForms2 :: [erl_parse:abstract_form()], CompileOptions :: [compile:option()].

    Expands all records in a module to use explicit tuple operations and adds explicit module names to calls to BIFs and imported functions. The returned module has no references to records, attributes, or code.